%define debug_package %{nil}
Name:                nailgun
Version:             1.0.1
Release:             1
Summary:             Framework for running Java from the cli without the JVM startup overhead
License:             ASL 2.0
URL:                 http://martiansoftware.com/nailgun/
Source0:             https://github.com/facebookarchive/nailgun/archive/refs/tags/nailgun-all-%{version}.zip
BuildRequires:       maven-local mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:       mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:       mvn(net.java.dev.jna:jna)
BuildRequires:       mvn(org.junit.jupiter:junit-jupiter-api)

%description
Nailgun is a client, protocol, and server for running Java programs from the
command line without incurring the JVM startup overhead. Programs run in the
server (which is implemented in Java), and are triggered by the client
(written in C), which handles all I/O.

%package javadoc
Summary:             Javadocs for %{name}
BuildArch:           noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-all-%{version}
find ./ -name '*.jar' -exec rm -f '{}' \;
find ./ -name '*.class' -exec rm -f '{}' \;
%pom_remove_plugin :fmt-maven-plugin nailgun-server
%pom_remove_plugin :maven-surefire-plugin nailgun-server
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_dep org.mockito:mockito-junit-jupiter nailgun-server
rm -rf nailgun-server/src/test/java/com/facebook/nailgun/NGSessionTest.java
rm -rf nailgun-server/src/test/java/com/facebook/nailgun/NGCommunicatorTest.java
rm -rf nailgun-server/src/test/java/com/facebook/nailgun/NGSessionPoolTest.java

%build
%mvn_build

%install
%mvn_install
cp %{buildroot}/usr/lib/java/nailgun/nailgun-server.jar %{buildroot}/usr/share/java/nailgun/

%files -f .mfiles
%doc README.md
%{_javadir}/%{name}/nailgun-server.jar

%files javadoc -f .mfiles-javadoc

%changelog
* Tue Apr 16 2024 Ge Wang <wang__ge@126.com> -1.0.1-1
- Update to version 1.0.1

* Sat Jul 25 2020 leiju <leiju4@huawei.com> - 0.9.1-1
- Package init
